org.apache.lucene.queryparser.flexible.core.nodes

## Interface RangeQueryNode<T extends FieldValuePairQueryNode<?>>

All Superinterfaces:
  FieldableNode, QueryNode

All Known Implementing Classes:
  AbstractRangeQueryNode, PointRangeQueryNode, TermRangeQueryNode

    public interface RangeQueryNode<T extends FieldValuePairQueryNode<?>>
    extends FieldableNode

This interface should be implemented by a `QueryNode` that represents some kind of range query.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `getLowerBound()`
`T` `getUpperBound()`
`boolean` `isLowerInclusive()`
`boolean` `isUpperInclusive()`

### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.FieldableNode

`getField, setField`

### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode

`add, add, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, removeChildren, removeFromParent, set, setTag, toQueryString, toString, unsetTag`

### Method Detail

#### getLowerBound

    T getLowerBound()

#### getUpperBound

    T getUpperBound()

#### isLowerInclusive

    boolean isLowerInclusive()

#### isUpperInclusive

    boolean isUpperInclusive()